t.rast.extract(1)

NAME
t.rast.extract - Extracts a subset of a space time raster datasets.

KEYWORDS
temporal, extract, raster, time

SYNOPSIS
t.rast.extract
t.rast.extract --help
t.rast.extract [-n] input=name [where=sql_query] [expression=string] output=name [basename=string] [suffix=string] [nprocs=integer] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-n
    Register Null maps

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of the input space time raster dataset

where=sql_query
    WHERE conditions of SQL statement without ’where’ keyword used in the temporal GIS framework
    Example: start_time > ’2001-01-01 12:30:00’

expression=string
    r.mapcalc expression assigned to all extracted raster maps

output=name [required]
    Name of the output space time raster dataset

basename=string
    Basename of the new generated output maps
    A numerical suffix separated by an underscore will be attached to create a unique identifier

suffix=string
    Suffix to add at basename: set ’gran’ for granularity, ’time’ for the full time format, ’num’ for numerical suffix with a specific number of digits (default %05)
    Default: gran

nprocs=integer
    Number of r.mapcalc processes to run in parallel
    Default: 1

DESCRIPTION
The purpose of t.rast.extract is to extract a subset of a space time raster dataset and to store that subset in a different space time raster dataset. The where condition is used to select the subset. In addition a r.mapcalc sub-expression can be specified that performs operations on all maps of the selected subset. In this expression the name of the input space time raster dataset can be used as simple map name. Other STRDS than the input STRDS can not be specified, but any raster map. In case a r.mapcalc sub-expression is defined, the base name of the resulting raster maps must be specified. The r.mapcalc expression can be used to select maps as well, since by default resulting empty maps are not registered in the output space time raster dataset and removed after processing. The number of parallel GRASS GIS processes can be specified to speed up the processing.

If no r.mapcalc expression is defined, the selected maps are simply registered in the new created output space time raster dataset to avoid data duplication.

NOTES
The r.mapcalc sub-expression should not contain the left side "map =" of a full r.mapcalc expression, only the right side, eg.:

t.rast.extract input=tempmean_monthly where="start_time > ’2010-01-05’" \
               output=selected_tempmean_monthly basename=new_tmean_month \
               expression="if(tempmean_monthly < 0, null(), tempmean_monthly)"

EXAMPLE

t.rast.extract input=tempmean_monthly output=tempmean_monthly_later_2012 \
               where="start_time >= ’2012-01-01’"
t.rast.list tempmean_monthly_later_2012
name|mapset|start_time|end_time
2012_01_tempmean|climate_2000_2012|2012-01-01 00:00:00|2012-02-01 00:00:00
2012_02_tempmean|climate_2000_2012|2012-02-01 00:00:00|2012-03-01 00:00:00
2012_03_tempmean|climate_2000_2012|2012-03-01 00:00:00|2012-04-01 00:00:00
2012_04_tempmean|climate_2000_2012|2012-04-01 00:00:00|2012-05-01 00:00:00
2012_05_tempmean|climate_2000_2012|2012-05-01 00:00:00|2012-06-01 00:00:00
2012_06_tempmean|climate_2000_2012|2012-06-01 00:00:00|2012-07-01 00:00:00
2012_07_tempmean|climate_2000_2012|2012-07-01 00:00:00|2012-08-01 00:00:00
2012_08_tempmean|climate_2000_2012|2012-08-01 00:00:00|2012-09-01 00:00:00
2012_09_tempmean|climate_2000_2012|2012-09-01 00:00:00|2012-10-01 00:00:00
2012_10_tempmean|climate_2000_2012|2012-10-01 00:00:00|2012-11-01 00:00:00
2012_11_tempmean|climate_2000_2012|2012-11-01 00:00:00|2012-12-01 00:00:00
2012_12_tempmean|climate_2000_2012|2012-12-01 00:00:00|2013-01-01 00:00:00

SEE ALSO
t.create, t.info

AUTHOR
Sören Gebbert, Thünen Institute of Climate-Smart Agriculture

SOURCE CODE

Available at: t.rast.extract source code (history)

Accessed: Wednesday Jul 09 13:14:54 2025

Main index | Temporal index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 7.8.8 Reference Manual